none
Framwork versions RRS feed

  • Question

  • Hello, I'm supporting an application that was developed in C# and had the targeting framework set to 4.5 and I'm also on Win7

    My question is, I have an .Net Framework installer  NDP452-KB2901951-x86-x64-DevPack.exe  So will that work for an application that was targeting 4.5?   The install for NDP452-KB2901951-x86-x64-DevPack.exe went pretty quick

    Tuesday, February 27, 2018 3:16 PM

All replies

  • Hi William256,

    # You can choose a targeting version as you like, if it (adequate version of DevPack) is installed. 

    I have checked if the issue can be reproduced in my environment. At first, I installed NDP452-KB2901951-x86-x64-DevPack.exe (336,213 KB).
    env-1: Windows 8.1 Pro 64-bit, Virtual Studio Pro 2013 (already installed) -- no problem (could not reproduced)

    I will try with other environment (Windows 7 Ultimate 64-bit).  Visual Studio is not installed in this env. I would like to make my env. as much as the same as yours. Please provide your Visual Studio version.

    Regards,

    Ashidacchi

    Wednesday, February 28, 2018 6:05 AM
  • Hi William256,

    Thank you for posting here.

    According to the description on the MSDN installation article, the .exe file is for .net framework 4.5.2. Please migrate your application from .net framework 4.5 to .net framework 4.5.2.

    And update your Win7 to Win7 SP1. 

    https://support.microsoft.com/en-us/help/15090/windows-7-install-service-pack-1-sp1

    Best Regards,

    Wendy


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    Wednesday, February 28, 2018 6:20 AM
    Moderator